Package Details

Package: MEPipeline-Y4A1dev+0
Product: MEPipeline
SVN Revision: 44860
Effective SVN Revision (incl depedencies): 45032
Effective latest update: 21/02/2017-16:21
Lifecycle: operational
Lifecycle (spec): operational
State: FATAL
Validation State: FATAL
Inherited State: OK
Build State: UNKNOWN
Test State: UNKNOWN

Dependency Graph

Remark: The dependency graph depicts for packages dependant on MEPipeline-Y4A1dev+0 only the latest version per product. Furthermore, test dependencies are not visible.

Listed Dependencies (main)

cfitsio-3.370+0 OK
swarp-2.40.0+1 OK
stiff-2.7.0+0 OK
matplotlib-1.3.1+6 OK
hpixDB-1.0.2+2 OK
desmeds-0.9.1+0 OK
psfex-3.17.3+4 OK
extinction-1.3.0+1 OK
pixcorrect-0.5.3+8 OK
sextractor-2.23.2+5 OK
scamp-2.4.3+2 OK
ProcessingFW-2.1.6+1 OK
MEPipelineAppIntg-1.1.2+1 OK
wavg-0.5+1 OK
despymangle-2.2.5+1 OK

For a list with all direct and indirect dependencies and dependants (main and test) see all dependencies.

Messages:

FATAL CONFL - Package depends (directly or indirectly) on different package versions of the same product/configset: numpy : numpy-1.9.1+8, numpy-1.9.1+7; fftw : fftw-3.3.2+6, fftw-3.3.2+5; matplotlib : matplotlib-1.3.1+8, matplotlib-1.3.1+6; astropy : astropy-0.4.2+5, astropy-0.4.2+6; scipy : scipy-0.14.0+8, scipy-0.14.0+9; IntegrationUtils : IntegrationUtils-2.0.9+0, IntegrationUtils-2.0.9+1; despyfitsutils : despyfitsutils-1.0.1+8, despyfitsutils-1.0.1+7; despyastro : despyastro-0.3.8+11, despyastro-0.3.9+0; fitsio : fitsio-0.9.8rc1+6, fitsio-0.9.8rc1+5; pyfits : pyfits-3.3+5, pyfits-3.3+6.

All Reports

Table File

1 # Meta package for DESDM Multi-epoch Pipeline
2 # DESDM Framework -- now simpler
3 setupRequired(ProcessingFW 2.1.6+1)
4 # I will load:
5 # - QCFramework
6 # - FileMgmt loads:
7 # + DatabaseAps
8 # + IntegrationUtils
9 # + despymisc
10 # + despydb
11 # + despyfitsutils
12 # + despyDMdb
13
14 # AppInt
15 setupRequired(MEPipelineAppIntg 1.1.2+1)
16
17 # Pixcorrect -- loads despyfits/fitsio/imsupport/despyastro
18 setupRequired(pixcorrect 0.5.3+8)
19
20 # Python core
21 setupRequired(matplotlib 1.3.1+6)
22
23 # Astromatic stuff
24 setupRequired(sextractor 2.23.2+5)
25 setupRequired(stiff 2.7.0+0)
26 setupRequired(swarp 2.40.0+1)
27 setupRequired(psfex 3.17.3+4)
28 setupRequired(scamp 2.4.3+2)
29
30 # Extintion correction
31 setupRequired(extinction 1.3.0+1)
32
33 # Healpix
34 setupRequired(hpixDB 1.0.2+2)
35
36 # despymangle loads mangle
37 setupRequired(despymangle 2.2.5+1)
38
39 # desmeds
40 setupRequired(desmeds 0.9.1+0)
41
42 # wavg
43 setupRequired(wavg 0.5+1)
44
45 # CFISTIO -- for fpack
46 setupRequired(cfitsio 3.370+0)
47
48 envPrepend(DESDM_PIPEPROD, "MEPipeline")
49 envPrepend(DESDM_PIPEVER, "Y4A1+0")

Build File

  (empty file)